import request from '@/utils/request'

// 查询企微获客链接用户关联列表
export function listWorkLinkUser(query) {
  return request({
    url: '/qw/workLinkUser/list',
    method: 'get',
    params: query
  })
}

// 查询企微获客链接用户关联详细
export function getWorkLinkUser(id) {
  return request({
    url: '/qw/workLinkUser/' + id,
    method: 'get'
  })
}

// 新增企微获客链接用户关联
export function addWorkLinkUser(data) {
  return request({
    url: '/qw/workLinkUser',
    method: 'post',
    data: data
  })
}

// 修改企微获客链接用户关联
export function updateWorkLinkUser(data) {
  return request({
    url: '/qw/workLinkUser',
    method: 'put',
    data: data
  })
}

// 删除企微获客链接用户关联
export function delWorkLinkUser(id) {
  return request({
    url: '/qw/workLinkUser/' + id,
    method: 'delete'
  })
}

// 导出企微获客链接用户关联
export function exportWorkLinkUser(query) {
  return request({
    url: '/qw/workLinkUser/export',
    method: 'get',
    params: query
  })
}